/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import Logica.*;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author pecaa
 */
@WebServlet(name = "addUser", urlPatterns = {"/addUser"})
public class addUser extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        response.setContentType("text/html;charset=UTF-8");
        RequestDispatcher dispatsh = request.getRequestDispatcher("page/user/registro-usuario.jsp");
        dispatsh.forward(request, response);
        
        /* Preparo respuesta */ 
        String respuesta = "Error";
        
        respuesta= agregarUsuario(request);
        
        /* respondo */
        response.setContentType("text/plain");
        response.getWriter().write(respuesta);
        
    }
    
    public String agregarUsuario(HttpServletRequest request){
        String nombre, apellido, email, fnac, nick, pass, tipo, dia, mes ,anio, retorno;
        tipo= request.getParameter("type");
        boolean esColaborador= "Colaborador".equals(tipo);
        
        nombre= request.getParameter("nombre");
        apellido= request.getParameter("apellido");
        email= request.getParameter("email");
        fnac= request.getParameter("fnac");
        // Como carajos recupero bien la fecha
        dia= "1";
        mes= "1";
        anio= "1999";
        nick= request.getParameter("nick");
        // falta la pass en el formulario
        pass = "";
        // Avatar
        byte[] fileContent= null;
        
        ISistema sys = null;
        sys = Factory.getInstance();
        
        Logica.datatype.Enum_Respuesta re = null;
        if(esColaborador){
            Logica.datatype.DtColaborador c = new Logica.datatype.DtColaborador(
                    nick,
                    nombre,
                    apellido,
                    email,
                    fileContent,
                    dia,
                    mes,
                    anio,
                    pass,
                    tipo
            );
            re = sys.crearUsuario(c);
        }
        else{
            String url, link, bio;
            url= request.getParameter("url");
            link= request.getParameter("link");
            bio= request.getParameter("Biografia"); 
            Logica.datatype.DtProponente p = new Logica.datatype.DtProponente(
                    nick,
                    nombre,
                    apellido,
                    email,
                    url,
                    link,
                    bio,
                    fileContent,
                    dia,
                    mes,
                    anio,
                    pass,
                    tipo
            );
            re = sys.crearUsuario(p);
        }
        
        // Respuesta
        String titulo, message;
        switch (re) {
            case exitoso:
                titulo = "Todo salio bien";
                message = "Su usuario fue creado con exito.\n";
                break;
            case fallido:
                titulo = "Ups 0.0!";
                message = "Algun dato esta incorrecto.\n";
                break;
            case error:
                titulo = "Uy!";
                message = "Algo nos salio mal.\n";
                break;
            default:
                titulo = "Ahhh!";
                message = "Algo insperado paso.\n";

        }
        
        retorno= titulo + ". " + message;
        return retorno;
                       
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}