/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import Logica.Factory;
import Logica.ISistema;
import Logica.Sistema;
import Logica.datatype.DtUsuariosMauro;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Base64;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author pecaa
 */
@WebServlet(name = "index", urlPatterns = {""})
public class index extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession();
        String categoria = request.getParameter("categoria");
        String usuarios = request.getParameter("usuarios");

        if (usuarios == null) {
            List<Logica.datatype.DtPropuesta> Listpruepuestas = null;
            if (categoria == null) {
                Listpruepuestas = conexionServidor.listarPropuestas();
            } else {
                Listpruepuestas = conexionServidor.listarPropuestasPorCategoria(categoria);
            }

            String propuestas = "";
            for (Logica.datatype.DtPropuesta e : Listpruepuestas) {
                propuestas += "<a class='Acard col-md-4' href='/g4/propuesta?propuesta=" + e.getTitulo() + "'>"
                        + "<div class='card mb-4 shadow-sm'>"                        
                        + "<i class='far fa-heart btn-like' data-titulo='" + e.getTitulo() + "'></i>"
                        + "    <img class='card-img-top'  onerror=\"this.src='./img/404.png'\" style=' width: 100%; display: block;' src='data:image/jpeg;base64," + Base64.getEncoder().encodeToString(e.getImagen()) + "' data-holder-rendered='true'>"
                        + "    <div class='card-body'>"
                        + "        <p class='card-text'>" + e.getTitulo() + "</p>"
                        + "    </div>"
                        + "</div>"
                        + "</a>";
            }
            request.setAttribute("pruepuestas", propuestas);

            List<String> ListCategorias = conexionServidor.listarCatergorias();
            String categorias = "";
            for (String e : ListCategorias) {
                categorias += "<a class='cot btn btn-primary' href='?categoria=" + e + "'>" + e + "</a>";
            }
            request.setAttribute("categorias", categorias);
            response.setContentType("text/html;charset=UTF-8");
            RequestDispatcher dispatsh = request.getRequestDispatcher("page/index/index.jsp");
            dispatsh.forward(request, response);
        } else {
            //Lista usuarios del sistema
            List<Logica.datatype.DtUsuario> Listusuarios = null;
            Listusuarios = conexionServidor.lista_usuarios();
            //usuario logeado
            String nameuser = (String) session.getAttribute("userName");
            DtUsuariosMauro user = null;
            if (nameuser != null) {
                user = conexionServidor.getUser(nameuser);
            }
            //lista de nick de usuarios que sigo
            List<String> sigo = new ArrayList<String>();
            if (user != null) {
                for (Logica.datatype.DtUsuario e : user.getSigo()) {
                    sigo.add(e.getNick());
                }
            }

            String respuesta = "";
            if (Listusuarios != null) {
                for (Logica.datatype.DtUsuario e : Listusuarios) {
                    if (e.getNick() != nameuser) {
                        respuesta += "<div class='Acard col-md-4 card mb-4 shadow-sm'>"
                                + "    <img class='card-img-top img-cir'  onerror=\"this.src='./img/404.png'\" style='height: 225px; width: 100%; display: block;' src='data:image/jpeg;base64," + Base64.getEncoder().encodeToString(e.getImg()) + "' data-holder-rendered='true'>"
                                + "    <div class='card-body'>"
                                + "         <p class='card-text'>" + e.getNick() + "</p>"
                                + "         <div class='div-felx'>";
                        if (!sigo.contains(e.getNick())) {
                            respuesta += "             <button class='btn btn-primary  btn-Seguir' data-user='" + e.getNick() + "'> Seguir </button>";
                        } else {
                            respuesta += "             <button class='btn btn-danger  btn-desSeguir' data-user='" + e.getNick() + "'> Dejar seguir </button>";
                        }
                        respuesta += "             <a href='/g4/user?user=" + e.getNick() + "'  class='btn btn-primary'> ver </a>"
                                + "         </div>"
                                + "    </div>"
                                + "</div>"
                                + "</a>";
                    }
                }
            }
            request.setAttribute("usuarios", respuesta);

            response.setContentType("text/html;charset=UTF-8");
            RequestDispatcher dispatsh = request.getRequestDispatcher("page/ListaUsuario/index.jsp");
            dispatsh.forward(request, response);
        }

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
