/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import Logica.Factory;
import Logica.ISistema;
import Logica.datatype.DtPropuesta;
import Logica.datatype.DtUsuario;
import controladores.conexionServidor;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author pecaa
 */
//@WebServlet(name = "user", urlPatterns = {"/user"})
@WebServlet("/user/*")
public class user extends HttpServlet {
    private conexionServidor sys = null;
        
        
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession();

        String userNick = request.getParameter("user");
        if (userNick == null) {
            response.setContentType("text/html;charset=UTF-8");
            RequestDispatcher dispatsh = request.getRequestDispatcher("page/user/perfil-usuario_no_encontrado.jsp");
            dispatsh.forward(request, response);
        } else {
            
            Logica.datatype.DtUsuariosMauro u = conexionServidor.getUser(userNick);
                
 
            List<DtPropuesta> pruepuestas = new ArrayList<DtPropuesta>(); 
            
            String user = (String)session.getAttribute("userName");


            /* Pasa los datos al jsp */
            request.setAttribute("perfiluser", u);
            request.setAttribute("yo", user);
            request.setAttribute("tipo", "Colaborador");

            request.setAttribute("Creo", pruepuestas);
            request.setAttribute("Favoritos", pruepuestas);
            
       //     response.sendRedirect("/g4/page/user/perfil-usuario.jsp");
            response.setContentType("text/html;charset=UTF-8");       
            getServletContext().getRequestDispatcher("/page/user/perfil-usuario.jsp").forward(request, response);
        }

    }

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        /* Preparo respuesta */
        String respuesta = "Error";
        String metodo = getParameter(request, "metodo");
        String asegido, segidor, propuesta;

        HttpSession session = request.getSession();
        String user = (String) session.getAttribute("userName");

        conexionServidor sys = new conexionServidor();
        Map<String, String[]> asdsa = getAllParam(request);
        switch (metodo) {
            case "NuevoUsuario":
                respuesta = NuevoUsuario(request);
                break;
            case "SeguirUsuario":
                /* 
                 * @parametro asegido nick usuario deseo seguir
                 * @parametro user nick usuario en session
                 */
                asegido = getParameter(request, "asegido");

                if (asegido != null) {
                    if (user != null) {
                        respuesta = conexionServidor.seguirUsuario(user, asegido);
                    } else {
                        respuesta = "Un usuario no esta logeado";
                    }
                } else {
                    respuesta = "El campo de usuario a seguir esta en blanco";
                }
                break;
            case "DejarSeguirUsuario":
                /* 
                 * @parametro asegido nick usuario deseo dejar de seguir
                 * @parametro user nick usuario en session
                 */
                asegido = getParameter(request, "asegido");

                if (asegido != null) {
                    if (user != null) {
                        respuesta = conexionServidor.dejarSeguirUsuario(user, asegido);
                    } else {
                        respuesta = "Un usuario no puede seguirse a si mismo";
                    }
                } else {
                    respuesta = "El campo de usuario a seguir esta en blanco";
                }
                break;
            case "Favorita":
                /* 
                 * @parametro propuesta titulo propuesta 
                 */
                propuesta = getParameter(request, "propuesta");
                if (propuesta != null) {
                    if (user != null) {
                        respuesta = conexionServidor.Favorita(user, propuesta);
                    } else {
                        respuesta = "Un usuario no puede seguirse a si mismo";
                    }
                } else {
                    respuesta = "Error con la propuesta, el titulo no ha llegado.";
                }
                break;
            default:
                respuesta = "Metodo invalido";
        }
        /* respondo */
        response.setContentType("text/plain");
        response.getWriter().write(respuesta);

    }

    @Override
    public String getServletInfo() {
        return "Short description";
    }

    /* Funciopnes propias ----------------------------------------------------*/
 /*------------------------------------------------------------------------*/
    /**
     * GetParameter retorna el parametro de existir en request
     *
     * @param request type HttpServletRequest -> request de la peticion
     * @param text type String -> parametro que desea buscar
     * @return parametro type String -> retorna valor de parametro o null de no
     * encontrarlo
     *
     */
    private String getParameter(HttpServletRequest request, String text) {
        String parametro = request.getParameter(text);
        if (parametro != null) {
            parametro = parametro.trim();
        }
        return parametro;
    }

    private Map<String, String[]> getAllParam(HttpServletRequest request) {
        Map<String, String[]> parameters = request.getParameterMap();
        for (String parameter : parameters.keySet()) {
            if (parameter.toLowerCase().startsWith("question")) {
                String[] values = parameters.get(parameter);
            }
        }

        return parameters;
    }

    private String NuevoUsuario(HttpServletRequest request) {
        return "";
    }
}
