<%-- 
    Document   : registro-propuesta
    Created on : 09-oct-2018, 17:55:17
    Author     : pecaa
--%>

<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
    /* Para limitar la fecha minima de fechaPrevista */
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-M-dd");
    String date = sdf.format(new Date());
    
    String categorias = "";
    if (request.getAttribute("categorias") != null) {
        categorias = (String) request.getAttribute("categorias");
    }
%>
<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <!-- Latest compiled JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <!-- Estilos -->
        <link rel="stylesheet" href="./css/cards-propuesta.css">
        <link rel="stylesheet" href="./css/cards-seguir.css">
        <link rel="stylesheet" href="./css/cards-usuario.css">
        <link rel="stylesheet" href="./css/footer.css">
        <link rel="stylesheet" href="./css/header.css">
        <link rel="stylesheet" href="./css/msg.css">
        <link rel="stylesheet" href="./css/pagination.css">
        <link rel="stylesheet" href="./css/style.css">
        <link rel="stylesheet" href="./css/title.css">
        <link rel="stylesheet" href="./css/form-propuesta.css">


        <!-- Fontawesome -->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
        
        <!-- MetaData -->
        <title>Culturarte-G4</title>
        <meta name="description" content="Web para el obligatorio 2">
        <meta name="keywords" content="HTML,CSS,JavaScript,jQuery,Popper,Bootstrap">
        <meta name="author" content="G-4">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <style>

            header{
                background: url(./img/gb-user.jpg);
            }
            .list-group-item {
                user-select: none;
            }

            .list-group input[type="checkbox"] {
                display: none;
            }

            .list-group input[type="checkbox"] + .list-group-item {
                cursor: pointer;
            }

            .list-group input[type="checkbox"] + .list-group-item:before {
                content: "\2713";
                color: transparent;
                font-weight: bold;
                margin-right: 1em;
            }

            .list-group input[type="checkbox"]:checked + .list-group-item {
                background-color: #0275D8;
                color: #FFF;
            }

            .list-group input[type="checkbox"]:checked + .list-group-item:before {
                color: inherit;
            }

            .list-group input[type="radio"] {
                display: none;
            }


            .list-group input[type="radio"]:checked + .list-group-item {
                background-color: #0275D8;
                color: #FFF;
            }

            .list-group input[type="radio"]:checked + .list-group-item:before {
                color: inherit;
            }
        </style>
    </head>
    <body>
        <script type="text/javascript">
            /* Formularios */
            function pasarPagina(newPage) {
                switch (newPage) {

                    case "categoria":
                        $('.form-usuario.main').prop("class", "form-usuario main " + newPage);
                        break;
                    case "info":
                        if ($("#categoria").val() == "")
                            alert("Selecciona la categoria.");
                        else
                            $('.form-usuario.main').prop("class", "form-usuario main " + newPage);
                        break;
                    case "retorno":
                        if ($("#descripcion").val() == "") {
                            alert("Es nesesario una descripcion.");
                        } else if ($("#titulo").val() == "") {
                            alert("Falta un titulo");
                        } else if ($("#lugar").val() == "") {
                            alert("Falta un lugar");
                        } else if ($("#precioEntrada").val() == "") {
                            alert("Cual es el precio de entrada");
                        } else if ($("#fechaPrevista").val() == "") {
                            alert("Falta un fecha prevista");
                        } else if ($("#montoNecesario").val() == "") {
                            alert("Cuanto quieres recolectar.");
                        } else {
                            $('.form-usuario.main').prop("class", "form-usuario main " + newPage);
                        }
                        break;
                }

            }
        </script>
        <%@include file="../nav.jspf" %>  
        <%@include file="../msg.jspf" %>  
        <%@include file="../loder.jspf" %>  
        <form class="form-usuario main categoria">
            <input type="hidden" name="metodo" value="nuevo">
            <div class="progreso">
                <span></span>
                <span></span>
                <span></span>
            </div>
            <div class="page categoria">
                <h1>Categoria</h1>
                <p>La categorai seleccionada sera de utilidad luego si algun colaborador lista por categorias</p>
                <select multiple class="form-control" name="categoria" id="categoria">
                    <% out.print(categorias);%>
                </select>
                <div style="display: flex;">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('info')" value="Siguinte">
                </div>
            </div>
            <div class="page info">
                <h1>Información</h1>

                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="titulo">Titulo</label>
                        <input type="text" class="form-control" name="titulo" id="titulo" placeholder="Titulo" value="" required="">
                        <div class="invalid-feedback">
                            El titulo no es válido.
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="lugar">Lugar</label>
                        <input type="text" class="form-control" name="lugar" id="lugar" placeholder="Lugar" value="" required="">
                        <div class="invalid-feedback">
                            El lugar no es válido.
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="precioEntrada">Precio entrada</label>
                        <input min="0" type="number" name="precioEntrada" class="form-control" id="precioEntrada" placeholder="10">
                        <div class="invalid-feedback">
                            El precio de entrada no es válido.
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="fechaPrevista">Fecha prevista</label>
                        <input min="<% out.print(date);%>" type="date" class="form-control" name="fechaPrevista" id="fechaPrevista" placeholder="Fecha prevista">
                        <div class="invalid-feedback">
                            La fecha prevista no es válida.
                        </div>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="montoNecesario">Monto necesario</label>
                    <div class="input-group">
                        <input min="0" type="number" class="form-control"  name="montoNecesario" id="montoNecesario" placeholder="1000000" required="">
                        <div class="invalid-feedback" style="width: 100%;">
                            El monto no es válido.
                        </div>
                    </div>
                </div>

                <div class="mb-3">
                    <label for="descripcion">Descripción</label>
                    <textarea 
                        class="form-control" name="descripcion" id="descripcion" placeholder="Descripcion"></textarea>
                    <div class="invalid-feedback">
                        La descripción no es válida.
                    </div>
                </div>

                <div style="display: flex;">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('categoria')" value="Atras">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('retorno')" value="Siguinte">
                </div>
            </div>
            <div class="page retorno">
                <h1>Retorno</h1>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="retorno" id="retornoEntrada" value="entrada" checked="">
                    <label class="form-check-label" for="retornoEntrada">Entrada Gratis</label>
                </div>
                <p>
                    Se le entregara una entrada gratis a cada colaborador en tu proyecto.
                </p>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="retorno" id="retornoPorsentaje" value="porsentaje" >
                    <label class="form-check-label" for="retornoPorsentaje">Porsentaje</label>
                </div>
                <p>
                    Darle un porsentaje de las ganancias.
                </p>

                <div style="display: flex;">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('info')" value="Atras">
                    <input type="submit"  class="btn btn-primary" id="btn-new-propuesta" value="Mandar">
                </div>
            </div>
        </form>

        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <!-- Latest compiled JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <script src="./js/lib/moment.js"></script>
        <script src="./js/lib/bootstrap-datetimepicker.js"></script>
        <!-- Script -->
        <script src="./js/loder.js"></script>
        <script src="./js/app-ajax.js"></script>
    </body>
</html>
