<%-- 
    Document   : registro-usuario
    Created on : 09-oct-2018, 17:46:56
    Author     : pecaa
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">

        <!-- Estilos -->
        <link rel="stylesheet" href="./css/cards-propuesta.css">
        <link rel="stylesheet" href="./css/cards-seguir.css">
        <link rel="stylesheet" href="./css/cards-usuario.css">
        <link rel="stylesheet" href="./css/footer.css">
        <link rel="stylesheet" href="./css/header.css">
        <link rel="stylesheet" href="./css/msg.css">
        <link rel="stylesheet" href="./css/pagination.css">
        <link rel="stylesheet" href="./css/style.css">
        <link rel="stylesheet" href="./css/title.css">
        <link rel="stylesheet" href="./css/form-usuario.css">
        <link rel="stylesheet" href="./css/lib/bootstrap-datetimepicker.css">

        <!-- Fontawesome -->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
        

        <!-- MetaData -->
        <title>Culturarte-G4</title>
        <meta name="description" content="Web para el obligatorio 2">
        <meta name="keywords" content="HTML,CSS,JavaScript,jQuery,Popper,Bootstrap">
        <meta name="author" content="G-4">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <style>

            header{
                background: url(./img/gb-user.jpg);
            }
        </style>
        <script type="text/javascript">
            /* Formularios */
            function pasarPagina(newPage) {
                if (newPage == "img" && ($("#nombre").val() == "" ||
                        $("#apellido").val() == "" ||
                        $("#email").val() == "" ||
                        $("#fnac").val() == "" ||
                        $("#nick").val() == "" )) {
                    alert("Faltan campos requeridos");
                } else { 
                    $('.form-usuario.main').prop("class", "form-usuario main " + newPage);
                }
            }
            function typeUser() {
                if (document.getElementById("typeProponente").checked) {
                    $('.form-usuario .page.info').prop("class", "page info proponente");
                } else {
                    $('.form-usuario .page.info').prop("class", "page info");
                }
            }

        </script>
    </head>
    <body>
        <%@include file="../nav.jspf" %>  
        <%@include file="../msg.jspf" %>  
        <br>
        <form class="form-usuario main type">
            <input type="hidden" name="metodo" value="NuevoUsuario">
            <div class="progreso">
                <span></span>
                <span></span>
                <span></span>
            </div>
            <div class="page type">
                <h1>Tipo</h1>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="type" id="typeColaborador" value="Colaborador" onchange="typeUser()" checked="">
                    <label class="form-check-label" for="typeColaborador">Colaborador</label>
                </div>
                <p>
                    Quien tiene un perfil de tipo colaborador podrá ayudar a financiar propuestas culturales.
                </p>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="type" id="typeProponente" value="Proponente" onchange="typeUser()">
                    <label class="form-check-label" for="typeProponente">Proponente</label>
                </div>
                <p>
                    Quien tiene un perfil de tipo proponente crear propuestas culturales con el fin de ser financiadas.
                </p>
                <input type="button" class="btn btn-primary" onclick="pasarPagina('info')" value="Siguinte">
            </div>
            <div class="page info">
                <h1>Información</h1>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="nombre">Nombre</label>
                        <input type="text" class="form-control" name="link" id="nombre" placeholder="Nombre" value="" required="">
                        <div class="invalid-feedback">
                            El nombre no es válido.
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="apellido">Apellido</label>
                        <input type="text" class="form-control" name="apellido" id="apellido" placeholder="Apellido" value="" required="">
                        <div class="invalid-feedback">
                            El apellido no es válido.
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="email">Email</label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="Email@ejemplo.com">
                        <div class="invalid-feedback">
                            El email no es valido.
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="fnac">Fecha Naciminto</label>
                        <input type="datetime-datetime-local" name="fnac" class="form-control" id="fnac" placeholder="Fecha Naciminto">
                        <div class="invalid-feedback">
                            El Fecha Naciminto no es válido.
                        </div>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="nick">Nick</label>
                    <div class="input-group">
                        <input type="text" class="form-control" name="nick" id="nick" placeholder="Nick" required="">
                        <div class="invalid-feedback" style="width: 100%;">
                            El nick no es válido.
                        </div>
                    </div>
                </div>

                <div class="mb-3 proponente">
                    <label for="url">Url</label>
                    <input type="text" class="form-control" name="url" id="url" placeholder="Url">
                    <div class="invalid-feedback">
                        El Url no es válido.
                    </div>
                </div>
                <div class="mb-3 proponente">
                    <label for="link">link</label>
                    <input type="text" name="link" class="form-control" id="link" placeholder="direccion">
                    <div class="invalid-feedback">
                        link es requerido.
                    </div>
                </div>
                <div class="mb-3 proponente">
                    <label for="Biografia">Biografia</label>
                    <input type="text" name="Biografia" class="form-control" id="Biografia" placeholder="direccion">
                    <div class="invalid-feedback">
                        El Biografia no es vàlida.
                    </div>
                </div>

                <div style="display: flex;">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('type')" value="Atras">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('img')" value="Siguinte">
                </div>
            </div>
            <div class="page img">
                <h1>Imagen</h1>
                <p>La imagen no es obligatoria</p>
                <div class="marco-img">
                    <img    id="img-prev" src="./img/upload.svg" name="img">
                    <input  id="img" type="file" onchange="document.getElementById('img-prev').src = this.value">
                </div>
                <div style="display: flex;">
                    <input type="button" class="btn btn-primary" onclick="pasarPagina('info')" value="Atras">
                    <input type="submit"  class="btn btn-primary" id="btn-new-user" value="Mandar">
                </div>
            </div>
        </form>

        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <!-- Latest compiled JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <script src="./js/lib/moment.js"></script>
        <script src="./js/lib/bootstrap-datetimepicker.js"></script>
        <!-- Script -->
        <script src="./js/loder.js"></script>
        <script src="./js/app-ajax.js"></script>
    </body>
</html>