<%-- 
    Document   : propuesta
    Created on : 15-oct-2018, 18:27:20
    Author     : pecaa
--%>

<%@page import="Logica.datatype.DtComentario"%>
<%@page import="java.util.Base64"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>
<%@page import="Logica.datatype.DtPropuesta"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
    Logica.datatype.DtPropuesta p = (Logica.datatype.DtPropuesta) request.getAttribute("propuesta");
    List<String> dsds = new ArrayList<>();
    String userType = (String) session.getAttribute("userType");

%>
<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <!-- Bootstrap -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <!-- Fontawesome -->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
        <!-- Estilos -->
        <link rel="stylesheet" href="./css/cards-propuesta.css">
        <link rel="stylesheet" href="./css/cards-usuario.css">
        <link rel="stylesheet" href="./css/footer.css">
        <link rel="stylesheet" href="./css/header.css">
        <link rel="stylesheet" href="./css/msg.css">
        <link rel="stylesheet" href="./css/pagination.css">
        <link rel="stylesheet" href="./css/style.css">
        <link rel="stylesheet" href="./css/title.css">
        <link rel="stylesheet" href="./css/form-propuesta.css">
        <link rel="stylesheet" href="./css/cards-seguir.css">
        <link rel="stylesheet" href="./css/propuesta.css">

        <!-- Script -->
        <script src="./js/loder.js"></script>
        <script src="./js/app-ajax.js"></script>

        <!-- MetaData -->
        <title>Culturarte-G4</title>
        <meta name="description" content="Web para el obligatorio 2">
        <meta name="keywords" content="HTML,CSS,JavaScript,jQuery,Popper,Bootstrap">
        <meta name="author" content="G-4">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <style>

            header{
                background: url(./img/gb-user.jpg);
            }
            .flex-column {
                padding: 0px;
            }
            .tab-content {
                padding: 20px;
            }
            .tab-content h1{
                margin-bottom:  10px;
                color: #333;
                text-align: center;
                font-size: 24px;
            }
            .tab-content b{
                width: 100px;
                display: inline-block;
            }
            .perfil_img img{
                width: 100%;
            }
            .perfil_img {
                border: solid 1px #ddd;
                border-radius: 3px;
                overflow: hidden;
                background: #eee;
            }
            .desc {
                margin: 0;
                color: #999;

            }
            .desc span{
                color: #666;
                font-weight: 700;
            }
            .categoria{
                font-size: 15px;
                color: #666;
            }
            h3 {
                font-size: 4rem;   
                margin-top: 0px;
                margin-bottom: 20px;
            }
            .description {
                width: 100%;
                margin: 10px 0 20px;
            }
        </style>
    </head>
    <body>
        <%@include file="../nav.jspf" %>  
        <%@include file="../msg.jspf" %>    
        <!--
        private String ;
        private byte[] ;
        private String ;
        private Fecha ;
        private float ;
        private float ¿;
        private float ;
        private Date ;
        private boolean retornoEntradas;
        private boolean retornoPorcentajeGanancias;
        private List<String> colaboradores = new ArrayList<>();
        private String ;
        private String ;
        private float ;
        -->

        <section class="container">
            <div class="row m-5">
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="perfil_img">
                        <img src="data:image/jpeg;base64,<% out.print(Base64.getEncoder().encodeToString(p.getImagen())); %>" onerror="this.src='./img/404.png'">
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="perfil_info">
                        <a class="categoria" href="/g4/?categoria=<% out.print(p.getCategoria()); %>"><% out.print(p.getCategoria()); %></a>
                        <h3><% out.print(p.getTitulo()); %></h3>
                        <p class="desc"><% out.print(p.getRecaudado()); %>/<% out.print(p.getMontoNecesario()); %></p>
                        <p class="desc"><span>Publicado:</span>  <% out.print(p.getFechaPublicacion()); %></p>
                        <p class="desc"><span>Finalisa:</span> <% out.print(p.getFechaPrevista()); %></p>
                        <p class="desc"><span>Precio Entrada:</span> <% out.print(p.getPrecioEntrada()); %></p>
                        <p class="desc"><span>Autor:</span><a href="/g4/user?user=<% out.print(p.getCreador()); %>"><% out.print(p.getCreador()); %></a></p>
                        <p class="desc"><span>Lugar</span><% out.print(p.getLugar()); %></p>
                        <% if (userType == "Colaborador") {%>
                        <button 
                            type="button" 
                            class="btn btn-info btn-lg" 
                            data-toggle="modal" 
                            data-target="#myColabaoracion"
                            style="margin: 20px 0 0 0;">Colabaora</button>
                        <% } %>
                    </div>
                </div>
                <% if (p.getDescripcion() != null && p.getDescripcion() != "") {%>
                <div class="col-md-12 col-sm-6 col-xs-12 ">
                    <h4>Descripcion</h4>
                    <div class="description"><% out.print(p.getDescripcion()); %></div>
                </div>
                <% } %>
            </div>
            <div class="row ">
                <%
                    if (p != null && p.getColaboradores().size() != 0) {
                        out.print("<h2 clss='text-center'>Muchas gracias a</h2>");
                        for (String elem : p.getColaboradores()) {
                            out.print("<a class='btn btn-primary colaborador' href='/g4/user?user=" + elem + "'>" + elem + "</a>");
                        }
                    } else {
                        out.print("<h2 clss='text-center'>Nadie a colaborado se el primero!</h2>");
                    }
                %>
            </div>
            <div class="row ">
                <div class="feed-container">
                    <div class="feed-border clearfix">
                        <div class="feed-body clearfix">
                            <div class="feed-avatar">
                                <img src="http://a06.t26.net/taringa/avatares/A/6/F/9/A/0/OK/48x48_BCD.jpg" alt="" />
                            </div>
                            <div class="feed-content">
                                <a class="username" href="#">usuario</a>
                                <p>texto</p>
                            </div>
                        </div>
                        <div class="feed-footer clearfix">
                            <div class="footer-left">
                                <span class="footer-time">fecha</span>
                            </div>  
                        </div>
                    </div>
                    <div class="feed-border clearfix">
                        <div class="feed-body clearfix"><textarea id="feed-msg" class="feed-msg"></textarea></div>
                        <div class="feed-footer clearfix"><button 
                            type="button" 
                            data-prop="<% out.print(p.getTitulo()); %>"
                            class="btn btn-primary feed-send btn-send" 
                            >Mandar</button></div>
                        
                    </div>
                </div>
                <%
                    if (p != null && p.getComentario().size() != 0) {
                        for (DtComentario c : p.getComentario()) {
                        }
                    }
                %>
            </div>
            <a href="#" class="btn btn-sm main_btn"></a>
        </div>

        <!-- Colabaoracion -->
        <div id="myColabaoracion" class="modal fade" role="dialog">
            <div class="modal-dialog" id="RegistrarColaboracion">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-body">
                        <p>Seleccione un tipo de la reconvensa, la cantidad que quiera donar y dele a el boton de Listo.</p>
                        <label class="radio-inline"><input type="radio" name="retorno" id="entrada" checked>Entrada </label><br>
                        <label class="radio-inline"><input type="radio" name="retorno" id="porsentaje">Porsentaje</label>
                        <div class="form-group">
                            <label for="monto">Cantidad</label>
                            <input type="number" class="form-control" id="monto">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal"  onclick="funcionRegistrarColaboración()">Listo</button>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                    </div>
                </div>

            </div>
        </div>
    </section>
</body>
</html>
