/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import Logica.Factory;
import Logica.ISistema;
import Logica.datatype.DtPropuesta;
import Logica.datatype.DtUsuariosMauro;
import Logica.datatype.Fecha;
import java.util.List;

/**
 *
 * @author Lucas
 */
public class conexionServidor {
    private static ISistema sys = null;
    
    public conexionServidor(){
        sys = Factory.getInstance();
    }
    
    public static String seguirUsuario(String nickUsu, String nickUsuSeguir){
        sys = Factory.getInstance();
        return sys.seguirUsuario(nickUsu, nickUsuSeguir);
    }
    
    public static String dejarSeguirUsuario(String nickUsu, String nickUsuDejarSeguir){
        sys = Factory.getInstance();
        return sys.dejarDeSeguirUsuario(nickUsu, nickUsuDejarSeguir);
    }
    
    public static List<Logica.datatype.DtUsuario> lista_usuarios(){
        sys = Factory.getInstance();
        return sys.obtenerUsuarios();
    }
      
    public static List<String> listarCatergorias(){
        sys = Factory.getInstance();
        return sys.listarCatergorias();
    }
    
    public static List<DtPropuesta> listarPropuestas(){
        sys = Factory.getInstance();
        return sys.listarPropuestas();
    }
    
    public static List<DtPropuesta> listarPropuestasPorCategoria(String categoria){
        sys = Factory.getInstance();
        return sys.listarPropuestasPorCategoria(categoria);
    }
    
    public static DtPropuesta consultarPropuesta(String titulo){
        sys = Factory.getInstance();
        return sys.obtenerPropuesta(titulo);
    }
    
    public static DtUsuariosMauro getUser(String userNick){
        sys = Factory.getInstance();
        return sys.getUsuariosMauro(userNick);
    }
    public static String Favorita(String user,String propuesta){
        sys = Factory.getInstance();
        return sys.marcarPropuestaComoFavorita(user,propuesta);
    }
    public static String NuevoPropuesta(String user, String categoria,String  titulo,String  lugar,String  precioEntrada,String  fechaPrevista,String  montoNecesario,String  descripcion,String retorno){
        sys = Factory.getInstance();
        Fecha f = new Fecha();
        String[] parts = fechaPrevista.split("-");
        if (parts.length == 3){
            f.setAnio(parts[0]);
            f.setMes(parts[1]);
            f.setDia(parts[2]);
        }else{
            f.actualizarFecha();
        }
        
        DtPropuesta p = new DtPropuesta(titulo, descripcion, null, lugar, f, Integer.parseInt(precioEntrada), Integer.parseInt(montoNecesario), retorno == "entrada", retorno == "porsentaje", categoria, 0);
        try {
            sys.altaPropuesta(user,categoria,p);
            return "Exito";
        } catch (Exception e) {
            return e.getMessage();
        }
    }
    
    
}
