/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebServlet(name = "propuesta", urlPatterns = {"/propuesta"})
public class propuesta extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String respuesta = "Error";
        String metodo = getParameter(request, "metodo");
        String propuestaId, userId, text, CategoríaId;

        HttpSession session = request.getSession();
        String user = (String) session.getAttribute("userName");

        switch (metodo) {
            case "ExtenderFinanciación":
                /* 
                 * @parametro propuestaId id propuesta 
                 */
                propuestaId = getParameter(request, "propuestaId");
                //user;
                break;
            case "CancelarPropuesta":
                /* 
                 * @parametro propuestaId id propuesta 
                 * @parametro userId nick usuario
                 */
                propuestaId = getParameter(request, "propuestaId");
                //user;
                break;
            case "Comentario":
                /* 
                 * @parametro propuestaId id propuesta
                 * @parametro text msj a guardar
                 */
                propuestaId = getParameter(request, "propuestaId");
                //user;
                text = getParameter(request, "text");

                break;
            case "PropuestaCategoría":
                /* 
                 * @parametro Categoría id Categoría 
                 */
                CategoríaId = getParameter(request, "Categoría");
                break;
            case "nuevo":
                /* 
                * @parametro categoria String 
                * @parametro titulo String 
                * @parametro lugar String 
                * @parametro precioEntrada String 
                * @parametro fechaPrevista String
                * @parametro montoNecesario String 
                * @parametro descripcion String 
                * @parametro retorno String 
                 */
                if (user != null){
                    respuesta = NuevoPropuesta(request,user);
                }else{
                    respuesta = "El usuario tinene que estar logeado.";
                }
                break;

            default:
                respuesta = "Metodo invalido";
        }
        /* respondo */
        response.setContentType("text/plain");
        response.getWriter().write(respuesta);

    }

    /**
     * GetParameter retorna el parametro de existir en request
     *
     * @param request type HttpServletRequest -> request de la peticion
     * @param text type String -> parametro que desea buscar
     * @return parametro type String -> retorna valor de parametro o null de no
     * encontrarlo
     *
     */
    private String getParameter(HttpServletRequest request, String text) {
        String parametro = request.getParameter(text);
        if (parametro != null) {
            parametro = parametro.trim();
        }
        return parametro;
    }

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession();
        String id = getParameter(request,"propuesta");
        
        if (id == null){
            response.setContentType("text/html;charset=UTF-8");
            RequestDispatcher dispatsh = request.getRequestDispatcher("page/propuesta/propuesta.jsp");
            dispatsh.forward(request, response);
        }else{ 
            response.setContentType("text/html;charset=UTF-8");
            Logica.datatype.DtPropuesta propuesta = conexionServidor.consultarPropuesta(id);
            request.setAttribute("propuesta", propuesta);
            RequestDispatcher dispatsh = request.getRequestDispatcher("page/propuesta/propuesta.jsp");
            dispatsh.forward(request, response);
        }
        
        
        
        
        
        
        
        
        
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    @Override
    public String getServletInfo() {
        return "Short description";
    }

    private String NuevoPropuesta(HttpServletRequest request,String user) {
        // Variavles para nueva propuesta
        String categoria, titulo, lugar, precioEntrada, fechaPrevista, montoNecesario, descripcion, retorno;

        categoria = getParameter(request, "categoria");
        titulo = getParameter(request, "titulo");
        lugar = getParameter(request, "lugar");
        precioEntrada = getParameter(request, "precioEntrada");
        fechaPrevista = getParameter(request, "fechaPrevista");
        montoNecesario = getParameter(request, "montoNecesario");
        descripcion = getParameter(request, "descripcion");
        retorno = getParameter(request, "retorno");
        
        return conexionServidor.NuevoPropuesta(user, categoria, titulo, lugar, precioEntrada, fechaPrevista, montoNecesario, descripcion, retorno );
    }

}
