/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package datatype;

import java.io.File;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author mauro
 */
public class DtPropuesta {

    private String titulo;
    private String descripcion;
    private byte[] imagen;
    private String lugar;
    private Fecha fechaPrevista;
    private float precioEntrada;
    private float montoNecesario;
    private float recaudado;
    private Date fechaPublicacion;
    private boolean retornoEntradas;
    private boolean retornoPorcentajeGanancias;
    private List<String> colaboradores = new ArrayList<>();
    private String creador;
    private String categoria;

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public void setImagen(byte[] imagen) {
        this.imagen = imagen;
    }

    public void setLugar(String lugar) {
        this.lugar = lugar;
    }

    public void setFechaPrevista(Fecha fechaPrevista) {
        this.fechaPrevista = fechaPrevista;
    }

    public void setPrecioEntrada(float precioEntrada) {
        this.precioEntrada = precioEntrada;
    }

    public void setMontoNecesario(float montoNecesario) {
        this.montoNecesario = montoNecesario;
    }

    public void setFechaPublicacion(Date fechaPublicacion) {
        this.fechaPublicacion = fechaPublicacion;
    }

    public void setRetornoEntradas(boolean retornoEntradas) {
        this.retornoEntradas = retornoEntradas;
    }

    public void setRetornoPorcentajeGanancias(boolean retornoPorcentajeGanancias) {
        this.retornoPorcentajeGanancias = retornoPorcentajeGanancias;
    }

    public void setColaboradores(List<String> colaboradores) {
        this.colaboradores = colaboradores;
    }

    public float getRecaudado() {
        return recaudado;
    }

    public void setRecaudado(float recaudado) {
        this.recaudado = recaudado;
    }

    public List<String> getColaboradores() {
        return colaboradores;
    }



    public String getCreador() {
        return creador;
    }

    public void setCreador(String creador) {
        this.creador = creador;
    }

    public String getCategoria() {
        return categoria;
    }

    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

    public DtPropuesta(){}
    public DtPropuesta(String titulo, String descripcion, byte[] imagen, String lugar, Fecha fechaPrevista, float precioEntrada, float montoNecesario, boolean retornoE, boolean retornoP, String cat) {
        this.titulo = titulo;
        this.descripcion = descripcion;
        this.imagen = imagen;
        this.lugar = lugar;
        this.fechaPrevista = fechaPrevista;
        this.precioEntrada = precioEntrada;
        this.montoNecesario = montoNecesario;
        this.fechaPublicacion = new Date();
        this.retornoEntradas = retornoE;
        this.retornoPorcentajeGanancias = retornoP;
        this.categoria= cat;
    }

    public String getTitulo() {
        return titulo;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public byte[] getImagen() {
        return imagen;
    }

    public String getLugar() {
        return lugar;
    }

    public Fecha getFechaPrevista() {
        return fechaPrevista;
    }

    public float getPrecioEntrada() {
        return precioEntrada;
    }

    public float getMontoNecesario() {
        return montoNecesario;
    }

    public Date getFechaPublicacion() {
        return fechaPublicacion;
    }

    public boolean isRetornoEntradas() {
        return retornoEntradas;
    }

    public boolean isRetornoPorcentajeGanancias() {
        return retornoPorcentajeGanancias;
    }

}
