<%-- 
    Document   : index
    Created on : 12-oct-2018, 19:12:22
    Author     : pecaa
--%>

<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
    String categorias = "";
    if (request.getAttribute("categorias") != null) {
        categorias = (String) request.getAttribute("categorias");
    }
%>
<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <!-- Bootstrap -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <!-- Fontawesome -->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
        <!-- Estilos -->
        <link rel="stylesheet" href="./css/cards-propuesta.css">
        <link rel="stylesheet" href="./css/cards-usuario.css">
        <link rel="stylesheet" href="./css/footer.css">
        <link rel="stylesheet" href="./css/header.css">
        <link rel="stylesheet" href="./css/msg.css">
        <link rel="stylesheet" href="./css/pagination.css">
        <link rel="stylesheet" href="./css/style.css">
        <link rel="stylesheet" href="./css/title.css">
        <link rel="stylesheet" href="./css/form-propuesta.css">
        <link rel="stylesheet" href="./css/cards-seguir.css">

        <!-- Script -->
        <script src="./js/loder.js"></script>
        <script src="./js/app-ajax.js"></script>

        <!-- MetaData -->
        <title>Culturarte-G4</title>
        <meta name="description" content="Web para el obligatorio 2">
        <meta name="keywords" content="HTML,CSS,JavaScript,jQuery,Popper,Bootstrap">
        <meta name="author" content="G-4">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <style>

            header{
                background: url(./img/bg.jpg);
                background-position: center;
                padding: 40px;
            }
            .flex-column {
                padding: 0px;
            }
            .tab-content {
                padding: 20px;
            }
            .tab-content h1{
                margin-bottom:  10px;
                color: #333;
                text-align: center;
                font-size: 24px;
            }
            .tab-content b{
                width: 100px;
                display: inline-block;
            }
            
        </style>
    </head>
    <body>
        <%@include file="../nav.jspf" %>  
        <%@include file="../msg.jspf" %>  
        <header>
            <h1 class="title">Encuntra tu pasion</h1>
            <div class="d-flex justify-content-center">
                <form class="col-sm-12 col-md-4">
                    <input class="form-control mr-sm-2 search" type="search" placeholder="Search" aria-label="Search">
                </form>
            </div>
        </header>

        <main role="main">
            <div class="album">
                <div class="container">
                    <div class="row">
                        <% if (categorias != null && categorias != "") {%>
                            <div class="col-md-8 col-sm-12 ">
                                <h2 class="text-center m-5">Propuestas</h2>
                                <div class="row">
                                    <%@include file="main.jspf" %>                         
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-12 ">
                                <h2 class="text-center m-5">Categorioas</h2>
                                <div class="cat-box">
                                <% out.print(categorias);%>
                                </div>
                            </div>
                        <% } else {%>
                            <div class="col-md-12 col-sm-12 ">
                                <h2 class="text-center m-5">Propuestas</h2>
                                <div class="row">
                                    <%@include file="main.jspf" %>                         
                                </div>
                            </div>
                        <% }%>
                    </div>
                </div>
            </div>
        </main>

    </body>
</html>
